# -*- encoding: utf-8 -*-
# stub: bourne 1.6.0 ruby lib

Gem::Specification.new do |s|
  s.name = "bourne".freeze
  s.version = "1.6.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Joe Ferris".freeze]
  s.date = "2018-09-23"
  s.description = "Extends mocha to allow detailed tracking and querying of\n    stub and mock invocations. Allows test spies using the have_received rspec\n    matcher and assert_received for Test::Unit. Extracted from the\n    jferris-mocha fork.".freeze
  s.email = "jferris@thoughtbot.com".freeze
  s.files = [".gitignore".freeze, ".travis.yml".freeze, "Gemfile".freeze, "LICENSE".freeze, "NEWS.md".freeze, "README.md".freeze, "Rakefile".freeze, "bourne.gemspec".freeze, "lib/bourne.rb".freeze, "lib/bourne/api.rb".freeze, "lib/bourne/invocation.rb".freeze, "lib/bourne/mock.rb".freeze, "lib/bourne/mockery.rb".freeze, "lib/bourne/version.rb".freeze, "test/acceptance/acceptance_test_helper.rb".freeze, "test/acceptance/mocha_example_test.rb".freeze, "test/acceptance/spy_test.rb".freeze, "test/acceptance/stubba_example_test.rb".freeze, "test/execution_point.rb".freeze, "test/matcher_helpers.rb".freeze, "test/method_definer.rb".freeze, "test/mini_test_result.rb".freeze, "test/simple_counter.rb".freeze, "test/test_helper.rb".freeze, "test/test_runner.rb".freeze, "test/unit/assert_received_test.rb".freeze, "test/unit/have_received_test.rb".freeze, "test/unit/invocation_test.rb".freeze, "test/unit/mock_test.rb".freeze, "test/unit/mockery_test.rb".freeze]
  s.homepage = "http://github.com/thoughtbot/bourne".freeze
  s.rubygems_version = "2.7.6.2".freeze
  s.summary = "Adds test spies to mocha.".freeze
  s.test_files = ["test/acceptance/acceptance_test_helper.rb".freeze, "test/acceptance/mocha_example_test.rb".freeze, "test/acceptance/spy_test.rb".freeze, "test/acceptance/stubba_example_test.rb".freeze, "test/execution_point.rb".freeze, "test/matcher_helpers.rb".freeze, "test/method_definer.rb".freeze, "test/mini_test_result.rb".freeze, "test/simple_counter.rb".freeze, "test/test_helper.rb".freeze, "test/test_runner.rb".freeze, "test/unit/assert_received_test.rb".freeze, "test/unit/have_received_test.rb".freeze, "test/unit/invocation_test.rb".freeze, "test/unit/mock_test.rb".freeze, "test/unit/mockery_test.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<mocha>.freeze, ["~> 1.1"])
      s.add_development_dependency(%q<rake>.freeze, [">= 0"])
    else
      s.add_dependency(%q<mocha>.freeze, ["~> 1.1"])
      s.add_dependency(%q<rake>.freeze, [">= 0"])
    end
  else
    s.add_dependency(%q<mocha>.freeze, ["~> 1.1"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
  end
end
